# Hurricane VLSI Database

List of all members | Public Types | Static Public Member Functions
Hurricane::Diagonal Class Reference

Diagonal description (API) More...

Inheritance diagram for Hurricane::Diagonal:
[legend]

## Public Types
typedef Component | Super
Public Types inherited from Hurricane::Component
typedef Go | Inherit

## Static Public Member Functions
static Diagonal * | create (Net *, const Layer *, const Point &source, const Point &target, DbU::Unit width)
Static Public Member Functions inherited from Hurricane::Component
static ComponentFilter | getIsUnderFilter (const Box &area)
Static Public Member Functions inherited from Hurricane::Go
static bool | autoMaterializationIsDisabled ()
static void | enableAutoMaterialization ()
static void | disableAutoMaterialization ()

## Additional Inherited Members
Public Member Functions inherited from Hurricane::Component
Net * | getNet () const
Rubber * | getRubber () const
Hook * | getBodyHook ()
virtual Hooks | getHooks () const
virtual Point | getPosition () const
Components | getConnexComponents () const
Components | getSlaveComponents () const
Public Member Functions inherited from Hurricane::Go
bool | isMaterialized () const
Public Member Functions inherited from Hurricane::DBo
virtual void | destroy ()
Property * | getProperty (const Name &) const
Properties | getProperties () const
bool | hasProperty () const
void | put (Property *)
void | remove (Property *)
void | removeProperty (const Name &)
void | clearProperties ()

## Detailed Description

Diagonal description (API)

# Introduction

Create 45° or 135° segments.

The minimal step length for the manhattanisation is set up with DbU::setDiagonalStep().

Warning
  Diagonal objects cannot be exported in symbolic layout.

## Member Typedef Documentation

## ◆ Super

Hurricane::Diagonal::Super

Useful for calling upon methods of the base class without knowing it.

## Member Function Documentation

## ◆ create()

Diagonal * Hurricane::Diagonal::create | ( | Net * | net,
|  | const Layer * | layer,
|  | const Point & | source,
|  | const Point & | target,
|  | DbU::Unit | width
| ) |  |
| static

Create a diagonal segment of `layer` in `net`.

The documentation for this class was generated from the following files:

- Diagonal.h
- Diagonal.dox

Generated by doxygen 1.8.14 on Tue Jul 21 2020 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved